View Issue Details

IDProjectCategoryView StatusLast Update
0003091SketcherBugpublic2018-08-26 15:22
Reporterulrich1aAssigned Toabdullah 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target VersionFixed in Version0.17 
Summary0003091: Sketcher Polyline Arc: auto point on object constraint gets applied to wrong vertex
DescriptionThe bug is present in the sketcher polyline tool at drawing an arc. When the arc should end at another object, the automatic constraint is applied to the start of the arc instead of the end of the arc.
Steps To Reproduce1. create a sketch
2. choose the polyline tool and draw a line
3. hit the "m"-key three times to enter the arc-mode
4. draw the arc to an axis, so that the point on object constraint appears and click

The constraint is now applied to the start of the arc and not to the end of the arc.
Additional InformationTested version which does have the bug. FreeCAD 0.16, linux. FreeCAD 0.17, 64 bit Linux and Windows version.
See pictures below, showing the sketch before and after the application of point on object constraint.

Forum thread: https://forum.freecadweb.org/viewtopic.php?f=8&t=23044
Tagsconstraints

Activities

ulrich1a

2017-06-17 15:45

reporter  

ulrich1a

2017-06-17 15:58

reporter   ~0009421

OS: Debian GNU/Linux 8.8 (jessie)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.11301 (Git)
Build type: Release
Branch: Rueck6
Hash: 76822e26e476da24772296b1d62cb84780eff79e
Python version: 2.7.9
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 7.1.0

Kunda1

2017-06-17 20:06

administrator   ~0009422

@ulrich1a has anyone reproduced this on the forums?

ulrich1a

2017-06-18 10:57

reporter   ~0009444

I did not report on the forums. I tested myself with 3 different versions of FreeCAD on two different operating systems.

Kunda1

2017-06-21 10:32

administrator   ~0009475

Added forum thread as per guidelines.

Kunda1

2017-06-21 12:44

administrator   ~0009481

Confirmed by @bejant on the forum

Kunda1

2017-06-29 17:00

administrator   ~0009614

@abdullah have anytime to look at this sketcher polyline bug?

abdullah

2017-07-01 11:18

manager   ~0009634

@Kunda1

ATM I am under heavy load from my job, so I cannot act in a short time. I will leave the notification email unread so as to handle it after the current storm of work.

abdullah

2017-12-07 05:56

manager   ~0010531

https://github.com/FreeCAD/FreeCAD/pull/1150

wmayer

2017-12-07 10:37

administrator   ~0010539

https://github.com/FreeCAD/FreeCAD/commit/324c31d4e21e80f1e00f51fb4ddd78a2385dbeb1

Issue History

Date Modified Username Field Change
2017-06-17 15:45 ulrich1a New Issue
2017-06-17 15:45 ulrich1a File Added: Sketcher_polyline_bug1.png
2017-06-17 15:45 ulrich1a File Added: Sketcher_polyline_bug2.png
2017-06-17 15:58 ulrich1a Note Added: 0009421
2017-06-17 20:05 Kunda1 Tag Attached: constraints
2017-06-17 20:06 Kunda1 Note Added: 0009422
2017-06-18 10:57 ulrich1a Note Added: 0009444
2017-06-21 10:27 Kunda1 Tag Attached: #post-to-forum
2017-06-21 10:32 Kunda1 Additional Information Updated View Revisions
2017-06-21 10:32 Kunda1 Note Added: 0009475
2017-06-21 10:32 Kunda1 Tag Detached: #post-to-forum
2017-06-21 12:44 Kunda1 Status new => confirmed
2017-06-21 12:44 Kunda1 Note Added: 0009481
2017-06-29 17:00 Kunda1 Note Added: 0009614
2017-06-29 17:01 Kunda1 Tag Attached: #pending
2017-07-01 11:18 abdullah Note Added: 0009634
2017-12-07 05:56 abdullah Assigned To => abdullah
2017-12-07 05:56 abdullah Status confirmed => assigned
2017-12-07 05:56 abdullah Note Added: 0010531
2017-12-07 10:37 wmayer Status assigned => closed
2017-12-07 10:37 wmayer Resolution open => fixed
2017-12-07 10:37 wmayer Fixed in Version => 0.17
2017-12-07 10:37 wmayer Note Added: 0010539
2018-08-26 15:22 Kunda1 Tag Detached: #pending